#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  Atkmm-2.28.4

- Next

  Cairo-1.18.4

- Up
- Home

# at-spi2-core-2.60.3

## Introduction to At-Spi2 Core

The At-Spi2 Core package contains a comprehensive accessibility framework for the Assistive Technologies available on the GNOME platform. This includes a set of interfaces which are implemented by other toolkits and applications.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/at-spi2-core/2.60/at-spi2-core-2.60.3.tar.xz

- Download MD5 sum: 48d2ba8f8539e6af2fee6a31fe29158d

- Download size: 588 KB

- Estimated disk space required: 22 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### At-Spi2 Core Dependencies

#### Required

dbus-1.16.2, GLib-2.88.0 (GObject Introspection required for GNOME), gsettings-desktop-schemas-50.1 (Runtime), and Xorg Libraries

#### Optional

Gi-DocGen-2026.1 and sphinx-9.1.0

## Installation of At-Spi2 Core

Install At-Spi2 Core by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..                  \
          --prefix=/usr             \
          --buildtype=release       \
          -D gtk2_atk_adaptor=false &&
    ninja

Now, as the `root` user:

    ninja install

The test suite requires the glib schemas of the package to be installed already. The tests also need to run in a graphical environment. Now that the package is installed, test the results by issuing: dbus-run-session ninja test.

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D docs=true`: Use this switch if you want to build the documentation. Note that you must have both Gi-DocGen-2026.1 and sphinx-9.1.0 installed on your system.

`-D gtk2_atk_adaptor=false`: This switch disables building the GTK+-2 module for this package.

## Contents

Installed Programs: None
Installed Library: libatk-1.0.so, libatk-bridge-2.0.so, and libatspi.so
Installed Directories: /usr/include/atk-1.0, /usr/include/at-spi-2.0, /usr/include/at-spi2-atk, /usr/lib/gnome-settings-daemon-3.0, /usr/share/defaults/at-spi2, and /usr/share/gtk-doc/html/libatspi (optional)

### Short Descriptions

`libatk-1.0.so` | contains functions that are used by assistive technologies to interact with desktop applications
`libatk-bridge-2.0.so` | contains the Accessibility Toolkit GTK+ module
`libatspi.so` | contains the At-Spi2 API functions

- Prev

  Atkmm-2.28.4

- Next

  Cairo-1.18.4

- Up
- Home